1. Technology
You can opt-out at any time. Please refer to our privacy policy for contact information.

The Zen of Learning Ruby

By

2 of 3

Installing RubyKoans

One great thing about RubyKoans is it works with no dependencies. All you need is Ruby. You don't even need a specific version of Ruby, you just need any version (1.8 or newer) installed. You don't need git to get it, you don't need rake to run it, you just need Ruby.

So if you haven't already, go install Ruby.

Then, download RubyKoans. It's just a zip file, extact it somewhere convenient to get to from the command line.

Then, from the command line, run the following command.

$ ruby path_to_enlightenment.rb

You'll get an error message. Don't panic, it's supposed to do that.

  1. About.com
  2. Technology
  3. Ruby
  4. Beginning Ruby
  5. The Path to Ruby Enlightenment

©2014 About.com. All rights reserved.